#!/usr/bin/perl -w
# %Z%%M%------- %I%- %W% %G% %U% 

use strict;
use warnings;

BEGIN { push @INC, '/opt/ibm/ae/AS/' }

use ISDVMIEncode;
use Getopt::Long;
my %options = ();

if (! (GetOptions (\%options, 'name=s', 'password=s'))) {
    exit (1); 
}
my $name=$options{'name'};
my $password=$options{'password'};
if(! defined($name)|| ! defined ($password) || $password eq ""){
    print "AE: Both name and password need to be specified. Ignore the configuration\n";
    exit (0);
}

my $newpasswd = crypt_passwd( decode( $password ));
if($name eq 'root' || $name eq 'sysadmin' || $name eq 'pe'){
    #my $rc=system("/opt/ibm/director/vmi/scripts/execWithPrivilege/chsmusr --name $name --passwd $newpasswd");
    my $rc = system "usermod -p \'$newpasswd\' $name";
    if ($rc != 0 ){
        print "AE: internal command error. The output is:\n$!\n";
        exit ($rc);
    }
    exit (0);
}
print "AE: the user name can only be root, pe or sysadmin\n";
exit (1);
