#!/bin/sh
# Licensed Materials - Property of IBM
# 
# 09N6996
#
# (C) Copyright IBM Corp. 2009, 2010 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

SMHADM_CLASS=com.ibm.vmi.ha.Daemon
SM_JAVA=/opt/ibm/director/jre/bin/java

sshPath=`find /opt/ibm/director/lwi/runtime/USMi*/eclipse/plugins/com\.ibm\.net\.ssh* -name ssh\.jar`
SM_CLASSPATH=${sshPath}
    
remoteaccessPath=`find /opt/ibm/director/lwi/runtime/USMi*/eclipse/plugins/com\.ibm\.tivoli\.remoteaccess* -name remoteaccess.jar`
SM_CLASSPATH=$SM_CLASSPATH:${remoteaccessPath}

SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/lwi/runtime/messaging/eclipse/plugins/org.apache.activemq_5.2.0/activemq-all-5.2.0.jar
SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/lwi/runtime/core/eclipse/plugins/org.apache.commons.logging_1.0.4.20091117-1800.jar
SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/ha/lib/classes
SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/ha/lib/smhadm.jar
SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/lwi/runtime/ApplianceMgmt/eclipse/plugins/com.ibm.vmi.cmdapi.util_1.0.0/CmdAPI.jar
SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/lwi/runtime/ApplianceMgmt/eclipse/plugins/com.ibm.isdvmi.usermgmt.service_1.0.0/vmiusermgmtservice.jar
SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/lwi/runtime/rest/eclipse/plugins/com.ibm.json_1.0.1.0.jar
SM_LOGGING=-Djava.util.logging.config.file=/opt/ibm/director/ha/logs/daemon_logging.properties
 

#DEBUG_ARGS="-Dsmhawait=60000 -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,address=8000,suspend=n"
#VERBOSE="-verbose:class"

# Start the daemon
export CLASSPATH=$SM_CLASSPATH
$SM_JAVA $VERBOSE $DEBUG_ARGS $SM_LOGGING $SMHADM_CLASS $*
