

crt_arp_rsrc () {
	
    debug "Create the arp resources"
    mkrsrc IBM.Application \
    Name="arping" \
    StartCommand="$SMHA_SCRIPTS/tsa/smhatsaarp.sh start" \
    StopCommand="$SMHA_SCRIPTS/tsa/smhatsaarp.sh stop" \
    MonitorCommand="$SMHA_SCRIPTS/tsa/smhatsaarp.sh status" \
    MonitorCommandPeriod=60 \
    MonitorCommandTimeout=60 \
    NodeNameList="{'$HOST','$node'}" \
    StartCommandTimeout=60 \
    StopCommandTimeout=60 \
    UserName="root" \
    ResourceType=1
    
    # create the resource group
    add_to_rg arping IBM.Application $DIRECTOR_RG $ADDRGMBR_ORDER
}
