#!/bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# check if vmiiptables exist
if [ -e /etc/vmiiptables ]; then
    # replace ACCEPT to DROP on line with the string "--uid-owner root"
    sed -i '/--uid-owner root/s#ACCEPT#DROP#' /etc/vmiiptables

    # then restore firewall rules
    /opt/ibm/director/vmi/scripts/execWithPrivilege/restoreIPTables
fi
