#!/usr/bin/perl -w
#

use warnings;
use strict;
use Getopt::Long;


my %options = ();
my $MARKFILE = "/opt/ibm/director/vmi/data/keycfgcheck";
my $COMMAND = "/opt/ibm/director/vmi/scripts/execWithPrivilege/cfgkbd";
my $keyboardtype="us";

if (! (GetOptions (\%options, 'keyboardtype=s'))) {
    print "no option input.\n"; 
    exit (1); 
}
print "keyboardtype is $keyboardtype \n";

if ( defined $options{'keyboardtype'} && ! $options{'keyboardtype'} eq ""){
    $keyboardtype=$options{'keyboardtype'};
}

# Config keyboard with option
unless (-e $MARKFILE){
    if (system "$COMMAND $keyboardtype"){
        print "Keyboard configuration failed!\n";
	exit(1);
    }
}

