#!/bin/sh
# Licensed Materials - Property of IBM
# 
# 09N6996
#
# (C) Copyright IBM Corp. 2009, 2010 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

DIRECTOR_PATH=/opt/ibm/director
MQ_PATH=$DIRECTOR_PATH/lwi/runtime/messaging/eclipse/plugins/org.apache.activemq_5.2.0
MQ_LIB_PATH=$MQ_PATH/lib
SMHADM_PATH=$DIRECTOR_PATH/ha/lib/smhadm.jar

SM_CLASSPATH=$MQ_PATH/activemq-all-5.2.0.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/activemq-web-5.2.0.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/spring-beans-2.5.6.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/spring-core-2.5.6.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/jetty-util-6.1.9.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/spring-context-2.5.6.jar
SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/lwi/runtime/core/eclipse/plugins/org.apache.commons.logging_1.0.4.20091117-1800.jar
SM_CLASSPATH=$SM_CLASSPATH:$SMHADM_PATH
SM_LOGGING=-Djava.util.logging.config.file=/opt/ibm/director/ha/logs/mq_logging.properties

export JAVA_HOME=$DIRECTOR_PATH/jre
export CLASSPATH=$SM_CLASSPATH

$JAVA_HOME/bin/java $SM_LOGGING com.ibm.vmi.ha.mq.MQBroker
